# Accessibility::StateSet Interface Reference

`import "Accessibility_State.idl";`

## Public Member Functions

boolean | contains (in StateType state)
void | add (in StateType state)
void | remove (in StateType state)
boolean | equals (in StateSet tarStateSet)
StateSet | compare (in StateSet compareState)
boolean | isEmpty ()

## Detailed Description

The StateSet interface encapsulates a collection of state information. It allows comparison of state information between object instances, and comparisons of an object's state with some hypothetical collection of states.

## Member Function Documentation

void Accessibility::StateSet::add | ( | in StateType | state | ) |

Add a StateType to an existing StateSet, if not already present.

StateSet Accessibility::StateSet::compare | ( | in StateSet | compareState | ) |

Compare two StateSet instances and obtain their differences.

Returns:
  a 'difference set', i.e. a StateSet consisting of those states not shared by the two sets being compared.

boolean Accessibility::StateSet::contains | ( | in StateType | state | ) |

Query a StateSet for a specific StateType.

Parameters:

  | state | the StateType being queried for.

Returns:
  `TRUE` if the StateSet contains StateType state.

boolean Accessibility::StateSet::equals | ( | in StateSet | tarStateSet | ) |

Compare two statesets for equivalence.

Parameters:

  | tarStateSet | the StateSet to be compared with this one.

Returns:
  `TRUE` if the two StateSet objects are composed of the same StateTypes.

boolean Accessibility::StateSet::isEmpty | ( |  | ) |

Returns:
  `TRUE` if the StateSet contains no states.

void Accessibility::StateSet::remove | ( | in StateType | state | ) |

Remove a StateType to an existing StateSet, if it is present.

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_State.idl